Name: cdl3
Version: 1.2.4
Release: alt1
Vendor: ALT Linux Team
Summary: CDL3 System - compiler
License: GPL
Group: Development/Other
Url: http://www.cs.kun.nl/cdl3
Packager: Ilya Kuznecov <chumpa@altlinux.ru>
Source0: ftp://ftp.cs.kun.nl/pub/cdl3/%name-%version.tgz
%description
CDL3 is an implementation language based on affix grammars. It rides
the borderline between syntactic formalism and programming language,
and tries to combine the good properties of both. The control
structure and data structures have been choosen such that it is
extremely easy to write deterministic parsers and transducers in CDL3.
In this sense, CDL3 is a Compiler Description Language (hence the
acronym). Its applicability is, however, not limited to compiler
construction. The language is wellsuited, more in general, for all
applications that can be characterized as syntax-directed:
communication between processes (human and machine) adhering to
well-established protocols, or interpreter-like systems, interactively
obeying a set of commands.

%prep
%setup -q

%build
./configure --prefix=%prefix --mandir=%_datadir
%__make

%install
%__make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%_mandir
mv $RPM_BUILD_ROOT/usr/man/* $RPM_BUILD_ROOT%_mandir
rmdir $RPM_BUILD_ROOT/usr/man

%files
%defattr(644,root,root,755)
%attr(755,root,root) /usr/bin/cdlc
%_libdir/libcdlrts.a
%_includedir/predef.k3
%_includedir/predef.h
%_includedir/cdl3rts.h
%_mandir/man1/cdlc.*
%_mandir/man3/cdl*
%_mandir/mann/cdl*
%doc README docs/{*ps,*k3}

%changelog
* Tue Dec 09 2003 Ilya Kuznecov <chumpa@altlinux.ru> 1.2.4-alt1
- first rpm for ALT Linux Team
